=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xutils, sharutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, tdelibs14-trinity, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~), libtool, libltdl-dev, cmake
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xutils, sharutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, tdelibs14-trinity, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~), libtool, libltdl-dev, cmake
 Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
 Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
 Standards-Version: 3.8.4
@@ -12,8 +12,8 @@
 Package: tdebase-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
-Breaks: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
+Replaces: kdebase-trinity (<< 4:14.0.0~)
+Breaks: kdebase-trinity (<< 4:14.0.0~)
 Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib
 Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
 Suggests: tdebase-trinity-doc-html (>= ${source:Version})
@@ -31,8 +31,8 @@
 Package: tdebase-runtime-data-common-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
-Breaks: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
+Replaces: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
+Breaks: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
 Description: Shared common files for Trinity and KDE4
  .
  Shared common files for both Trinity and KDE4
@@ -41,8 +41,8 @@
 Package: kappfinder-trinity
 Section: tde
 Architecture: any
-Replaces: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
-Breaks: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
+Replaces: kappfinder-trinity (<< 4:14.0.0~)
+Breaks: kappfinder-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: non-TDE application finder for TDE
  kappfinder searches your workstation for many common applications and
@@ -54,8 +54,8 @@
 Package: kate-trinity
 Section: editors
 Architecture: any
-Replaces: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
-Breaks: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
+Replaces: kate-trinity (<< 4:14.0.0~)
+Breaks: kate-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kregexpeditor-trinity
 Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
@@ -85,8 +85,8 @@
 Package: kcontrol-trinity
 Section: tde
 Architecture: any
-Replaces: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
-Breaks: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
+Replaces: kcontrol-trinity (<< 4:14.0.0~)
+Breaks: kcontrol-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
 Recommends: udev
 Suggests: khelpcenter-trinity, ntpdate | ntp-simple
@@ -109,8 +109,8 @@
 Package: tdebase-trinity-bin
 Section: tde
 Architecture: any
-Replaces: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
-Breaks: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
+Replaces: kdebase-trinity-bin (<< 4:14.0.0~)
+Breaks: kdebase-trinity-bin (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
 Suggests: khelpcenter-trinity, gdb
 Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
@@ -124,9 +124,9 @@
 Package: tdebase-data-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
-Breaks: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
-Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1)
+Replaces: kdebase-data-trinity (<< 4:14.0.0~)
+Breaks: kdebase-data-trinity (<< 4:14.0.0~)
+Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
 Description: shared data files for the TDE base module
  This package contains the architecture-independent shared data files
  needed for a basic Trinity desktop installation.
@@ -137,8 +137,8 @@
 Package: tdebase-trinity-dev
 Section: devel
 Architecture: any
-Replaces: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
-Breaks: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
+Replaces: kdebase-trinity-dev (<< 4:14.0.0~)
+Breaks: kdebase-trinity-dev (<< 4:14.0.0~)
 Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
 Description: development files for the TDE base module
  This package contains headers and other development files needed to
@@ -150,8 +150,8 @@
 Package: tdebase-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
-Breaks: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
+Replaces: kdebase-trinity-doc (<< 4:14.0.0~)
+Breaks: kdebase-trinity-doc (<< 4:14.0.0~)
 Description: developer documentation for the TDE base module
  This package contains documentation for the TDE base module, of
  use more for developers creating applications than regular users.
@@ -162,8 +162,8 @@
 Package: tdebase-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdebase-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdebase-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: TDE base documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -182,8 +182,8 @@
 Package: tdebase-tdeio-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
 Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
 Suggests: khelpcenter-trinity, mtools
@@ -202,3 +202,22 @@
  See the 'tde-trinity' and 'tdebase-trinity' packages for more information.
 
 Package: tdebase-tdeio-smb-trinity
+Section: tde
+Architecture: any
+Replaces: kdebase-kio-smb-trinity (<< 4:14.0.0~)
+Breaks: kdebase-kio-smb-trinity (<< 4:14.0.0~)
+Depends: ${shlibs:Depends}, kdesktop-trinity
+Conflicts: kdebase-kio-plugins-trinity (<< 4:3.5.13.3~), tdebase-tdeio-plugins-trinity (<< 4:14.0.5~)
+Description: SMB I/O slave for TDE
+ This package includes SMB tdeioslave.
+ .
+ This package is part of TDE, and a component of the TDE base module.
+ See the 'tde-trinity' and 'tdebase-trinity' packages for more information.
+
+Package: tdepasswd-trinity
+Section: utils
+Architecture: any
+Replaces: kdepasswd-trinity (<< 4:14.0.0~)
+Breaks: kdepasswd-trinity (<< 4:14.0.0~)
+Depends: ${shlibs:Depends}
+Description: password changer for TDE
