=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
  -DWITH_SASL="ON" \
  -DWITH_ELFICON="ON" \
  -DWITH_SUDO_TDESU_BACKEND="OFF" \
- -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="ON" \
+ -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="OFF" \
  -DWITH_LDAP="ON" \
  -DWITH_SAMBA="ON" \
  -DWITH_LIBUSB="ON" \
@@ -118,11 +118,13 @@
 
 install/tdm-trinity::
 	#sed -i 's/#UseTheme=true/UseTheme=true/g' debian/tmp/etc/trinity/tdm/tdmrc
-	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/opt\/trinity\/share\/apps\/tdm\/themes\/kubuntu-trinity/g' debian/tmp/etc/trinity/tdm/tdmrc
+	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/usr\/share\/apps\/tdm\/themes\/debian-moreblue/g' debian/tmp/etc/trinity/tdm/tdmrc
 
 binary-install/tdm-trinity::
 	mkdir -p debian/tdm-trinity/etc/init
-	install -p -D -m644 debian/tdm-trinity.conf debian/tdm-trinity/etc/init/tdm-trinity.conf
+	mkdir -p debian/tdm-trinity/etc/init.d
+	install -p -D -m755 debian/tdm.init debian/tdm-trinity/etc/init.d/tdm
+	
 	install -p -D -m644 debian/tdm-trinity.pam debian/tdm-trinity/etc/pam.d/tdm-trinity
 	install -p -D -m644 debian/tdm-trinity-np.pam debian/tdm-trinity/etc/pam.d/tdm-trinity-np
